Hanno Schlichting wrote:
> Martijn Faassen wrote:
>> I just looked at the PyPI page of 'transaction':
>>
>> http://pypi.python.org/pypi/transaction
>>
>> And I see some weirdnesses:
>>
>> * it's called 'transaction 1.0a1'
>>
>> * the 'changes' claim however:
>>
>>    1.0 (unreleased)
>>
>> What's up? Clearly something went wrong during the releasing of this 
>> package, at least documentation-wise. Should be fixed.
> 
> The documentation is wrong indeed.
> 
>> Note that zope.sqlalchemy pulls in this package as a dependency, even 
>> though I don't think ZODB 3.8 comes with that version of transaction...
> 
> The transaction module has been moved out of the ZODB egg for ZODB trunk
> aka 3.9 as far as I know.
> 
> That means the stand-alone transaction package can probably not be used
> with any ZODB 3.8 versions.
> 
> But except the wrong documentation, I don't see a problem with the
> release as such. IIRC someone wanted to use it outside the ZODB and it
> was moved out and got an early alpha release.

The dependency lets us run the tests easily. It's quite stable, so it
doesn't seem to cause any problems if it gets downloaded into a zope
2.10 buildout. You can always use the additional-fake-eggs =
transaction if it's a problem.

Laurence

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to